# Visualization
TKService
AlienImage

# AlienImage_MemoryOperations Class Reference

This class defines class method for
memory mangement .
.

`#include <AlienImage_MemoryOperations.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | SwapLong (const Standard_Address Data, const Standard_Integer Size)
| Swap byte in a long word ( 32 Bit ) Size is the number of long word to swap ex : SwapLong( "abcd". 1 ) gives "dcba" .
static Standard_EXPORT void | SwapShort (const Standard_Address Data, const Standard_Integer Size)
| Swap byte in a short word ( 16 Bit ) Size is the number of short word to swap ex : SwapShort( "ab". 1 ) gives "ba" .

## Member Function Documentation

void AlienImage_MemoryOperations::operator delete | ( | void * | anAddress | ) | `[inline]`

void* AlienImage_MemoryOperations::operator new | ( | size_t | size | ) | `[inline]`

void* AlienImage_MemoryOperations::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT void AlienImage_MemoryOperations::SwapLong | ( | const Standard_Address | Data,
|  | const Standard_Integer | Size
| ) | `[static]`

static Standard_EXPORT void AlienImage_MemoryOperations::SwapShort | ( | const Standard_Address | Data,
|  | const Standard_Integer | Size
| ) | `[static]`

The documentation for this class was generated from the following file:

- AlienImage_MemoryOperations.hxx